tpack = TexturePack.new("pics/walk.txt", "pics/walk.png", true)
tpackRED = TexturePack.new("pics/walkRED.txt", "pics/walkRED.png", true)

heroPics={}
for i=1,5 do
	heroPics[i] = Bitmap.new(tpack:getTextureRegion("walk"..i..".png"))
end
heroPicsRED={}
for i=1,5 do
	heroPicsRED[i] = Bitmap.new(tpackRED:getTextureRegion("walk"..i..".png"))
end

local mcBLUE = MovieClip.new{
		{1, 10, heroPics[1]},	
		{10, 20, heroPics[2]},	
		{20, 30, heroPics[3]},	
		{30, 40, heroPics[4]},	
		{40, 50, heroPics[5]}
	}
mcBLUE:setGotoAction(50, 1)

local mcRED = MovieClip.new{
		{1, 10, heroPicsRED[1]},	
		{10, 20, heroPicsRED[2]},	
		{20, 30, heroPicsRED[3]},	
		{30, 40, heroPicsRED[4]},	
		{40, 50, heroPicsRED[5]}
	}
mcRED:setGotoAction(50, 1)

mc=mcBLUE
stage:addChild(mc)

stage:addEventListener(Event.TOUCHES_END, function()
	mc:removeFromParent()
	if mc==mcBLUE then mc=mcRED else mc=mcBLUE end
	stage:addChild(mc)
	
	--switching movieclip works, but switching texture pack doesn't work:
	--tpack=tpackRED
end)